## fwupd 1.8.4

=== meson_options.txt ===
option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
option('consolekit', type : 'feature', description : 'ConsoleKit support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('static_analysis', type : 'boolean', value : false, description : 'enable GCC static analysis support')
option('gresource_quirks', type : 'feature', description : 'compile the quirk files into the fwupd binary')
option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
option('docs', type : 'feature', description : 'Build developer documentation', deprecated: {'docgen': 'enabled', 'none': 'disabled'})
option('introspection', type : 'feature', description : 'generate GObject Introspection data', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('lvfs', type : 'combo', choices : ['true', 'false', 'disabled'], value : 'true', description : 'install LVFS remotes')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('libarchive', type : 'feature', description : 'libarchive support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('gudev', type : 'feature', description : 'GUdev support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('gusb', type : 'feature', description : 'GUsb support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('bluez', type : 'feature', description : 'BlueZ support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('polkit', type: 'feature', description : 'PolKit support in daemon', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('gnutls', type: 'feature', description : 'GnuTLS support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('sqlite', type: 'feature', description : 'sqlite support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('lzma', type: 'feature', description : 'LZMA support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('cbor', type: 'feature', description : 'CBOR support for coSWID and uSWID')
option('plugin_amt', type : 'feature', description : 'Intel AMT support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_acpi_phat', type : 'feature', description : 'ACPI PHAT support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_bcm57xx', type : 'feature', description : 'BCM57xx support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_cfu', type : 'feature', description : 'CFU support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_cpu', type : 'feature', description : 'CPU support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_dell', type : 'feature', description : 'Dell-specific support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('plugin_emmc', type : 'feature', description : 'eMMC support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_ep963x', type : 'feature', description : 'EP963x support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_fastboot', type : 'feature', description : 'Fastboot support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_gpio', type : 'feature', description : 'Linux GPIO support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_logitech_bulkcontroller', type : 'feature', description : 'Logitech bulk controller support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_parade_lspcon', type : 'feature', description : 'Parade LSPCON support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_pixart_rf', type : 'feature', description : 'PixartRF support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_realtek_mst', type : 'feature', description : 'Realtek MST hub support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_synaptics_mst', type: 'feature', description : 'Synaptics MST hub support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_synaptics_rmi', type: 'feature', description : 'Synaptics RMI support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_scsi', type: 'feature', description : 'SCSI support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_tpm', type : 'feature', description : 'TPM support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_redfish', type : 'feature' , description : 'Redfish support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_uefi_capsule', type : 'feature', description : 'UEFI capsule support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_uefi_capsule_splash', type : 'boolean', value : true, description : 'enable UEFI capsule splash support')
option('plugin_uefi_pk', type : 'feature', description : 'UEFI PK support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_nitrokey', type : 'feature', description : 'Nitrokey support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_nvme', type : 'feature', description : 'NVMe support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_modem_manager', type : 'feature', description : 'ModemManager support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_msr', type : 'feature', description : 'MSR support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_mtd', type : 'feature', description : 'MTD support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_flashrom', type : 'feature', description : 'flashrom support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
option('plugin_intel_spi', type : 'boolean', value : false, description : 'enable Intel SPI support')
option('plugin_uf2', type : 'feature', description : 'support for UF2', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_upower', type : 'feature', description : 'support for UPower', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('plugin_powerd', type : 'feature', description : 'support for powerd', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('qubes', type : 'boolean', value : false, description : 'build packages for Qubes OS')
option('supported_build', type : 'feature', description: 'distribution package with upstream support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('systemd', type : 'feature', description : 'systemd support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('systemd_unit_user', type : 'string', description : 'User account to use for fwupd-refresh.service (empty for DynamicUser)')
option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
option('elogind', type : 'feature', description : 'elogind support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
option('curl', type : 'feature', description : 'libcurl support', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
option('efi_binary', type: 'boolean', value : true, description : 'generate uefi binary if missing')
option('metainfo', type: 'boolean', value : true, description : 'install the project metainfo.xml information')
option('bash_completion', type: 'boolean', value : true, description : 'enable bash completion')
option('fish_completion', type: 'boolean', value : true, description : 'enable fish completion')
option('offline', type: 'feature', description : 'Allow installing firmware using a pre-boot systemd target', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('compat_cli', type: 'boolean', value : true, description : 'enable legacy commands: fwupdagent,dfu-tool,fwupdate')
option('hsi', type: 'feature', description : ' Host Security Information', deprecated: {'true': 'enabled', 'false': 'disabled'})

=== contrib/freebsd/Makefile ===
# Created by: Norbert Kamiński <norbert.kaminski@3mdeb.com>
# $FreeBSD$

PORTNAME=	fwupd
DISTVERSION=
GH_TAGNAME=
CATEGORIES=	sysutils

MAINTAINER=	norbert.kaminski@3mdeb.com
COMMENT=	Update firmware automatically, safely, and reliably

LICENSE=	LGPL21

BUILD_DEPENDS=	gi-docgen:textproc/gi-docgen \
		help2man:misc/help2man \
		vala:lang/vala \
		${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi \
		${PYTHON_PKGNAMEPREFIX}gobject3>0:devel/py-gobject3@${PY_FLAVOR}
LIB_DEPENDS=	libcurl.so:ftp/curl \
		libefiboot.so:devel/libefiboot \
		libgcab-1.0.so:archivers/gcab \
		libgnutls.so:security/gnutls \
		libgpg-error.so:security/libgpg-error \
		libgpgme.so:security/gpgme \
		libgusb.so:devel/libgusb \
		libjcat.so:textproc/libjcat \
		libjson-glib-1.0.so:devel/json-glib \
		libprotobuf-c.so:devel/protobuf-c \
		libcbor.so:devel/libcbor \
		libxmlb.so:textproc/libxmlb \
		libefiboot.so:devel/gnu-efi

RUN_DEPENDS=	${LOCALBASE}/libexec/fwupd/efi/fwupdx64.efi:sysutils/fwupd-efi

USES=		gnome libarchive meson pkgconfig python:3.8+ shebangfix sqlite
USE_GITHUB=	yes
USE_GNOME=	glib20 introspection:build
GH_ACCOUNT=
INSTALLS_ICONS=	yes
USE_LDCONFIG=	yes

SHEBANG_GLOB=	*.py

MESON_ARGS=	-Dgudev=disabled \
		-Dplugin_amt=false \
		-Dpolkit=disabled \
		-Dsystemd=disabled \
		-Doffline=false \
		-Dtests=false \
		-Ddocs=enabled \
		-Defi_binary=false

.include <bsd.port.mk>

=== debian/changelog ===
fwupd (1.8.4-2) unstable; urgency=medium

  * debian/control:
    - Attempt to fix FTBFS related to documentation only building in certain
      architectures.
    - Fix valgrind architecture specific dependency.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 13:33:23 -0500

fwupd (1.8.4-1) unstable; urgency=medium

  * New upstream version (1.8.4)
  * debian/control: refresh with upstream dependencies

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 11:15:39 -0500

fwupd (1.8.3-1) unstable; urgency=medium

  * New upstream version (1.8.3)
  * Drop COD patch
  * Fixes HWIDs for some systems (LP: #1982103)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 30 Aug 2022 06:46:52 -0500

fwupd (1.8.2-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (1.8.2)
  * Backport a patch from upstream to disable capsule on disk by default outside
    aarch64.  This fixes flashing on HP Dev One and several Insyde boxes.
  * fix build with newer meson

  [ Lukas MÃ¤rdian ]
  * d/rules: enable plugin_logitech_bulkcontroller on Ubuntu, as the protobuf-c
    MIR has been resolved (LP: 1956617)

 -- Mario Limonciello <superm1@gmail.com>  Sat, 16 Jul 2022 08:59:57 -0500

fwupd (1.8.1-2) unstable; urgency=medium

  * Fix mistake in symbols file
  * Fix gitignore

 -- Mario Limonciello <superm1@gmail.com>  Wed, 29 Jun 2022 20:01:43 -0500

fwupd (1.8.1-1) unstable; urgency=medium

  * New upstream version (1.8.1) (LP: #1979963)
  * Drop patch for systemd refresh unit, upstream.

 -- Mario Limonciello <superm1@gmail.com>  Thu, 28 Apr 2022 23:56:33 -0500

fwupd (1.7.7-1) unstable; urgency=medium

  * New upstream version (1.7.7)
    - Fixes some errors with TPM binary measurements. (LP: #1966364)
  * Backport configuration option for systemd refresh unit user
  * Run fwupd-refresh under a dedicated fwupd-refresh user (LP: #1969976)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Apr 2022 20:44:02 -0500

fwupd (1.7.6-1) unstable; urgency=medium

  * New upstream version (1.7.6)
  * Drop all patches, upstream
  * Add libqrtr-glib-dev to build depends

 -- Mario Limonciello <superm1@gmail.com>  Sun, 27 Feb 2022 20:59:36 -0600

=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <superm1@gmail.com>
Build-Depends:
	fwupd-unsigned-dev [amd64 arm64 armhf i386],
	bash-completion,
	ca-certificates,
	clang-format,
	dbus-x11,
	debhelper (>= 12),
	devscripts,
	dh-strip-nondeterminism,
	fakeroot,
	fontconfig,
	fonts-noto,
	gcab,
	gettext (>= 0.19.8.1),
	gir1.2-pango-1.0,
	git,
	gnome-desktop-testing,
	gnu-efi [amd64 arm64 armhf i386],
	gnutls-bin,
	gnutls-dev,
	gobject-introspection,
	libarchive-dev,
	libcairo-dev,
	libcairo-gobject2,
	libcbor-dev,
	libcurl4-gnutls-dev,
	libefiboot-dev [amd64 arm64 armhf i386],
	libefivar-dev [amd64 arm64 armhf i386],
	libelf-dev,
	libflashrom-dev [!ia64],
	libfreetype6-dev,
	libftdi1-dev,
	libgcab-dev,
	libgirepository1.0-dev,
	libglib2.0-dev (>= 2.45.8),
	libglib2.0-doc,
	libgudev-1.0-dev,
	libgusb-dev (>= 0.3.5),
	libjcat-dev,
	libjson-glib-dev (>= 1.1.1),
	liblzma-dev,
	libmbim-glib-dev,
	libmm-glib-dev,
	libpci-dev,
	libpolkit-gobject-1-dev,
	libprotobuf-c-dev,
	libqmi-glib-dev,
	libqrtr-glib-dev,
	libsmbios-dev [i386 amd64],
	libsqlite3-dev,
	libsystemd-dev,
	libtool-bin,
	libtss2-dev,
	libumockdev-dev,
	libxmlb-dev (>= 0.1.13),
	lintian,
	locales,
	meson,
	mingw-w64-tools [amd64 arm64 armhf i386],
	pkg-config,
	policykit-1 (>> 0.105-14),
	protobuf-c-compiler,
	python3-gi-cairo,
	python3-jinja2,
	python3-packaging,
	python3-requests,
	python3-toml,
	python3-typogrify,
	python3-venv,
	shared-mime-info,
	systemd (>= 231),
	texlive-fonts-recommended,
	udev,
	umockdev,
	valac,
	valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
Build-Depends-Indep: gi-docgen <!nodoc>,
                     libglib2.0-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Section: admin
Homepage: https://github.com/fwupd/fwupd
Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
Vcs-Browser: https://salsa.debian.org/efi-team/fwupd

Package: libfwupdplugin7
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon plugin library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library for the interface between daemon and plugins.

Package: libfwupd2
Section: libs
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info
Recommends: python3,
	    bolt,
	    dbus,
	    secureboot-db,
	    udisks2,
	    fwupd-signed,
	    jq
Suggests: gir1.2-fwupd-2.0
Provides: fwupdate
Conflicts: fwupdate-amd64-signed,
	   fwupdate-i386-signed,
	   fwupdate-arm64-signed,
	   fwupdate-armhf-signed
Breaks: gir1.2-dfu-1.0 (<< 0.9.7-1),
	libdfu1 (<< 0.9.7-1),
	fwupdate (<< 12-7),
	libdfu-dev (<< 0.9.7-1)
Replaces: gir1.2-dfu-1.0 (<< 0.9.7-1),
	  libdfu1 (<< 0.9.7-1),
	  libdfu-dev (<< 0.9.7-1),
	  fwupdate (<< 12-7)
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details

Package: fwupd-tests
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ca-certificates,
         dbus-x11,
         fwupd,
         gnome-desktop-testing,
         policykit-1,
         python3,
         python3-gi,
         python3-requests,
Breaks: fwupd (<< 0.9.4-1)
Replaces: fwupd (<< 0.9.4-1)
Multi-Arch: foreign
Description: Test suite for firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides a set of installed tests that can be run to validate
 the daemon in a continuous integration system.

Package: fwupd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Build-Profiles: <!nodoc>
Description: Firmware update daemon documentation (HTML format)
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides development documentation for creating a package that
 uses fwupd.

Package: libfwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupd2 (= ${binary:Version}),
         gir1.2-fwupd-2.0 (= ${binary:Version}),
         libcurl4-gnutls-dev,
         libglib2.0-dev (>= 2.45.8),
         libjcat-dev,
         libjson-glib-dev (>= 1.1.1),
         ${misc:Depends}
Breaks: fwupd-dev (<< 0.5.4-2~)
Replaces: fwupd-dev (<< 0.5.4-2~)
Section: libdevel
Description: development files for libfwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupd

Package: gir1.2-fwupd-2.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupd
 This package provides the introspection data for libfwupd.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libfwupdplugin-dev
Architecture: linux-any
Multi-Arch: same
Depends: libfwupdplugin7 (= ${binary:Version}),
         gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
         libarchive-dev,
         libcbor-dev,
         libcurl4-gnutls-dev,
         libfwupd-dev (= ${binary:Version}),
         libgcab-dev,
         libglib2.0-dev (>= 2.45.8),
         libgudev-1.0-dev,
         libgusb-dev (>= 0.3.5),
         libjcat-dev,
         libjson-glib-dev (>= 1.1.1),
         libxmlb-dev (>= 0.1.13),
         valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
         ${misc:Depends}
Section: libdevel
Description: development files for libfwupdplugin
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Firmware updates are supported for a variety of technologies.
 See <https://github.com/fwupd/fwupd> for details
 .
 This package provides the development files for libfwupdplugin

Package: gir1.2-fwupdplugin-1.0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Section: introspection
Description: GObject introspection data for libfwupdplugin
 This package provides the introspection data for libfwupdplugin.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LC_ALL := C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

#GPGME needs this for proper building on 32 bit archs
ifeq ($(DEB_HOST_ARCH_BITS),32)
	export DEB_CFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
endif

CONFARGS =

ifneq ($(CI),)
	CONFARGS += --werror
endif

ifneq ($(DEB_HOST_ARCH_CPU),ia64)
	CONFARGS += -Dplugin_flashrom=enabled
else
	CONFARGS += -Dplugin_flashrom=disabled
endif

ifeq (yes,$(shell pkg-config --exists libsmbios_c && echo yes))
	CONFARGS += -Dplugin_dell=enabled
else
	CONFARGS += -Dplugin_dell=disabled
endif

ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
	CONFARGS += -Dplugin_uefi_capsule=enabled -Defi_binary=false
else
	CONFARGS += -Dplugin_uefi_capsule=disabled
endif

ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
	CONFARGS += -Dplugin_msr=enabled
else
	CONFARGS += -Dplugin_msr=disabled
endif

ifneq ($(QUBES_OPTION),)
	CONFARGS += -Dqubes=true
endif

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	CONFARGS += -Ddocs=disabled
endif

CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=disabled -Dsupported_build=enabled -Dplugin_modem_manager=enabled -Dsystemd_unit_user=fwupd-refresh

%:
	dh $@ --with gir

override_dh_auto_clean:
	rm -fr obj-*
	rm -fr debian/build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS)

override_dh_install:
	find debian/tmp/usr -type f -name "*a" -print | xargs rm -f
	sed -i 's,wheel,sudo,' debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
	dh_install
	#install MSR conf if needed (depending on distro)
	[ ! -d debian/tmp/usr/lib/modules-load.d ] || dh_install -pfwupd usr/lib/modules-load.d
	[ ! -d debian/tmp/lib/modules-load.d ] || dh_install -pfwupd lib/modules-load.d
	[ ! -d debian/tmp/usr/share/fwupd/quirks.d ] || dh_install -pfwupd usr/share/fwupd/quirks.d

	#install docs (maybe)
	[ ! -d debian/tmp/usr/share/doc ] || dh_install -pfwupd-doc usr/share/doc

	dh_missing -a --fail-missing

	#this is placed in fwupd-tests
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test_ble.so
	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_invalid.so
	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf

	#enable fwupd-refresh.service by default (we have a dedicated user)
	rm -f debian/fwupd/lib/systemd/system-preset/fwupd-refresh.preset

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xfirmware-example.xml.gz

ifneq (yes,$(shell command -v valgrind >/dev/null 2>&1 && echo yes))
override_dh_auto_test:
	:
endif

override_dh_builddeb:
	dh_builddeb

## fwupd 1.8.8

=== meson_options.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
 option('consolekit', type : 'feature', description : 'ConsoleKit support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('static_analysis', type : 'boolean', value : false, description : 'enable GCC static analysis support')
-option('gresource_quirks', type : 'feature', description : 'compile the quirk files into the fwupd binary')
 option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
 option('docs', type : 'feature', description : 'Build developer documentation', deprecated: {'docgen': 'enabled', 'none': 'disabled'})
 option('introspection', type : 'feature', description : 'generate GObject Introspection data', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -16,8 +15,8 @@
 option('sqlite', type: 'feature', description : 'sqlite support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('lzma', type: 'feature', description : 'LZMA support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('cbor', type: 'feature', description : 'CBOR support for coSWID and uSWID')
-option('plugin_amt', type : 'feature', description : 'Intel AMT support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_acpi_phat', type : 'feature', description : 'ACPI PHAT support', deprecated: {'true': 'enabled', 'false': 'disabled'})
+option('plugin_android_boot', type : 'feature', description : 'Android Boot support')
 option('plugin_bcm57xx', type : 'feature', description : 'BCM57xx support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_cfu', type : 'feature', description : 'CFU support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_cpu', type : 'feature', description : 'CPU support', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -27,7 +26,9 @@
 option('plugin_ep963x', type : 'feature', description : 'EP963x support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_fastboot', type : 'feature', description : 'Fastboot support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_gpio', type : 'feature', description : 'Linux GPIO support', deprecated: {'true': 'enabled', 'false': 'disabled'})
+option('plugin_igsc', type : 'feature', description : 'Intel Graphics System Controller support')
 option('plugin_logitech_bulkcontroller', type : 'feature', description : 'Logitech bulk controller support', deprecated: {'true': 'enabled', 'false': 'disabled'})
+option('plugin_logitech_scribe', type : 'feature', description : 'Logitech Scribe support')
 option('plugin_parade_lspcon', type : 'feature', description : 'Parade LSPCON support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_pixart_rf', type : 'feature', description : 'PixartRF support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_realtek_mst', type : 'feature', description : 'Realtek MST hub support', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -45,7 +46,7 @@
 option('plugin_msr', type : 'feature', description : 'MSR support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_mtd', type : 'feature', description : 'MTD support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_flashrom', type : 'feature', description : 'flashrom support', deprecated: {'true': 'enabled', 'false': 'disabled'})
-option('plugin_platform_integrity', type : 'boolean', value : false, description : 'enable platform integrity support')
+option('plugin_intel_me', type : 'feature', description : 'enable Intel ME support')
 option('plugin_intel_spi', type : 'boolean', value : false, description : 'enable Intel SPI support')
 option('plugin_uf2', type : 'feature', description : 'support for UF2', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_upower', type : 'feature', description : 'support for UPower', deprecated: {'true': 'enabled', 'false': 'disabled'})

## fwupd 1.8.12

=== meson_options.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 option('docs', type : 'feature', description : 'Build developer documentation', deprecated: {'docgen': 'enabled', 'none': 'disabled'})
 option('introspection', type : 'feature', description : 'generate GObject Introspection data', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('lvfs', type : 'combo', choices : ['true', 'false', 'disabled'], value : 'true', description : 'install LVFS remotes')
-option('man', type : 'boolean', value : true, description : 'enable man pages')
+option('man', type : 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'}, description : 'man pages')
 option('libarchive', type : 'feature', description : 'libarchive support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('gudev', type : 'feature', description : 'GUdev support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('gusb', type : 'feature', description : 'GUsb support', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -67,5 +67,5 @@
 option('bash_completion', type: 'boolean', value : true, description : 'enable bash completion')
 option('fish_completion', type: 'boolean', value : true, description : 'enable fish completion')
 option('offline', type: 'feature', description : 'Allow installing firmware using a pre-boot systemd target', deprecated: {'true': 'enabled', 'false': 'disabled'})
-option('compat_cli', type: 'boolean', value : true, description : 'enable legacy commands: fwupdagent,dfu-tool,fwupdate')
+option('compat_cli', type: 'boolean', value : false, description : 'enable legacy commands: fwupdagent,dfu-tool,fwupdate')
 option('hsi', type: 'feature', description : ' Host Security Information', deprecated: {'true': 'enabled', 'false': 'disabled'})

=== contrib/freebsd/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 SHEBANG_GLOB=	*.py
 
 MESON_ARGS=	-Dgudev=disabled \
-		-Dplugin_amt=false \
+		-Dplugin_intel_me=false \
 		-Dpolkit=disabled \
 		-Dsystemd=disabled \
 		-Doffline=false \

=== debian/changelog ===
fwupd (1.8.12-2) unstable; urgency=medium

  * Backport a series of patches to help with autopkgtest failing when
    compiled against an older gusb.

 -- Mario Limonciello <superm1@gmail.com>  Sun, 26 Feb 2023 11:05:26 -0600

fwupd (1.8.12-1) unstable; urgency=medium

  * New upstream version (1.8.12)
  * Fixes some regressions with other fwupd clients.
  * Add pandoc to b-d

 -- Mario Limonciello <superm1@gmail.com>  Fri, 24 Feb 2023 14:23:01 -0600

fwupd (1.8.11-1) unstable; urgency=medium

  * New upstream version (1.8.11)
  * Add libjaylink-dev for flashrom

 -- Mario Limonciello <superm1@gmail.com>  Thu, 23 Feb 2023 09:52:25 -0600

fwupd (1.8.10-2) unstable; urgency=medium

  * Backport a patch to hopefully help with autopkgtest failures on !x86

 -- Mario Limonciello <mario.limonciello@amd.com>  Tue, 24 Jan 2023 09:12:43 -0600

fwupd (1.8.10-1) unstable; urgency=medium

  * New upstream version (1.8.10)
  * Drop patches, upstream

 -- Mario Limonciello <superm1@gmail.com>  Mon, 23 Jan 2023 08:18:34 -0600

fwupd (1.8.9-3) unstable; urgency=medium

  * Backport a patch to fix the autopkgtest failure on s390x.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 16 Jan 2023 14:36:18 -0600

fwupd (1.8.9-2) unstable; urgency=medium

  * Backport a patch to fix FTBFS on s390x.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 04 Jan 2023 10:23:10 -0600

fwupd (1.8.9-1) unstable; urgency=medium

  * New upstream version (1.8.9)
  * Drop all patches that are now upstream

 -- Mario Limonciello <superm1@gmail.com>  Tue, 03 Jan 2023 08:35:17 -0600

fwupd (1.8.8-3) unstable; urgency=medium

  * Backport another patch to fix another autopkgtest failure

 -- Mario Limonciello <superm1@gmail.com>  Thu, 22 Dec 2022 09:43:12 -0600

fwupd (1.8.8-2) unstable; urgency=medium

  * Backport a patch for autopkgtest failure found in Ubuntu.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 19 Dec 2022 23:08:43 -0600

fwupd (1.8.8-1) unstable; urgency=medium

  * New upstream version (1.8.8)
  * drop symbol upstream.

 -- Mario Limonciello <superm1@gmail.com>  Wed, 07 Dec 2022 20:03:31 -0600

fwupd (1.8.6-2) unstable; urgency=medium

  * debian/control:
    - Drop gi-docgen from B-d that was re-added when dependencies
      regenerated.  This is only supposed to be present in B-d-i

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Oct 2022 16:07:34 -0500

fwupd (1.8.6-1) unstable; urgency=medium

  * New upstream version (1.8.6)
    - Notable change upstream is that libfwupdplugin is no longer a library
      that is available for developing out-of-tree plugins.  All plugins are
      now linked into an internal library distributed in the fwupd package.
  * debian/control:
    - Refresh for this upstream change.
  * Drop all upstream patches.
  * Add a patch to force rpath to fix a false positive dpkg-shlibdeps check
    on some binaries.

 -- Mario Limonciello <superm1@gmail.com>  Fri, 07 Oct 2022 13:42:24 -0500

fwupd (1.8.5-1) unstable; urgency=medium

  * New upstream version (1.8.5)

 -- Mario Limonciello <superm1@gmail.com>  Thu, 22 Sep 2022 10:12:00 -0500

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,15 @@
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
 Build-Depends:
-	fwupd-unsigned-dev [amd64 arm64 armhf i386],
 	bash-completion,
-	ca-certificates,
-	clang-format,
-	dbus-x11,
 	debhelper (>= 12),
-	devscripts,
 	dh-strip-nondeterminism,
-	fakeroot,
 	fontconfig,
 	fonts-noto,
+	fwupd-unsigned-dev [amd64 arm64 armhf i386],
 	gcab,
 	gettext (>= 0.19.8.1),
 	gir1.2-pango-1.0,
-	git,
-	gnome-desktop-testing,
 	gnu-efi [amd64 arm64 armhf i386],
 	gnutls-bin,
 	gnutls-dev,
@@ -32,14 +25,13 @@
 	libcurl4-gnutls-dev,
 	libefiboot-dev [amd64 arm64 armhf i386],
 	libefivar-dev [amd64 arm64 armhf i386],
-	libelf-dev,
+	libjaylink-dev [!ia64],
 	libflashrom-dev [!ia64],
 	libfreetype6-dev,
 	libftdi1-dev,
 	libgcab-dev,
 	libgirepository1.0-dev,
 	libglib2.0-dev (>= 2.45.8),
-	libglib2.0-doc,
 	libgudev-1.0-dev,
 	libgusb-dev (>= 0.3.5),
 	libjcat-dev,
@@ -57,12 +49,11 @@
 	libsystemd-dev,
 	libtool-bin,
 	libtss2-dev,
-	libumockdev-dev,
 	libxmlb-dev (>= 0.1.13),
-	lintian,
 	locales,
 	meson,
 	mingw-w64-tools [amd64 arm64 armhf i386],
+	pandoc,
 	pkg-config,
 	policykit-1 (>> 0.105-14),
 	protobuf-c-compiler,
@@ -72,10 +63,8 @@
 	python3-requests,
 	python3-toml,
 	python3-typogrify,
-	python3-venv,
 	shared-mime-info,
 	systemd (>= 231),
-	texlive-fonts-recommended,
 	udev,
 	umockdev,
 	valac,
@@ -89,21 +78,6 @@
 Vcs-Git: https://salsa.debian.org/efi-team/fwupd.git
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd
 
-Package: libfwupdplugin7
-Section: libs
-Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Multi-Arch: same
-Description: Firmware update daemon plugin library
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Firmware updates are supported for a variety of technologies.
- See <https://github.com/fwupd/fwupd> for details
- .
- This package provides the library for the interface between daemon and plugins.
-
 Package: libfwupd2
 Section: libs
 Architecture: linux-any
@@ -123,6 +97,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+	 adduser,
          shared-mime-info
 Recommends: python3,
 	    bolt,
@@ -227,43 +202,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-Package: libfwupdplugin-dev
-Architecture: linux-any
-Multi-Arch: same
-Depends: libfwupdplugin7 (= ${binary:Version}),
-         gir1.2-fwupdplugin-1.0 (= ${binary:Version}),
-         libarchive-dev,
-         libcbor-dev,
-         libcurl4-gnutls-dev,
-         libfwupd-dev (= ${binary:Version}),
-         libgcab-dev,
-         libglib2.0-dev (>= 2.45.8),
-         libgudev-1.0-dev,
-         libgusb-dev (>= 0.3.5),
-         libjcat-dev,
-         libjson-glib-dev (>= 1.1.1),
-         libxmlb-dev (>= 0.1.13),
-         valgrind [!ia64 !riscv64 !x32 !mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k],
-         ${misc:Depends}
-Section: libdevel
-Description: development files for libfwupdplugin
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Firmware updates are supported for a variety of technologies.
- See <https://github.com/fwupd/fwupd> for details
- .
- This package provides the development files for libfwupdplugin
-
-Package: gir1.2-fwupdplugin-1.0
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
-Section: introspection
-Description: GObject introspection data for libfwupdplugin
- This package provides the introspection data for libfwupdplugin.
- .
- It can be used by packages using the GIRepository format to generate
- dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -72,12 +72,14 @@
 	#install docs (maybe)
 	[ ! -d debian/tmp/usr/share/doc ] || dh_install -pfwupd-doc usr/share/doc
 
+	#install devices-tests (maybe)
+	[ ! -d debian/tmp/usr/share/fwupd/device-tests/ ] || dh_install -pfwupd-tests usr/share/fwupd/device-tests
+
 	dh_missing -a --fail-missing
 
 	#this is placed in fwupd-tests
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test.so
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test_ble.so
-	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_invalid.so
 	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
 	#enable fwupd-refresh.service by default (we have a dedicated user)

## fwupd 1.9.4

=== meson_options.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 option('docs', type : 'feature', description : 'Build developer documentation', deprecated: {'docgen': 'enabled', 'none': 'disabled'})
 option('introspection', type : 'feature', description : 'generate GObject Introspection data', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('lvfs', type : 'combo', choices : ['true', 'false', 'disabled'], value : 'true', description : 'install LVFS remotes')
-option('man', type : 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'}, description : 'man pages')
+option('man', type : 'boolean', value : true, description : 'enable man pages')
 option('libarchive', type : 'feature', description : 'libarchive support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('gudev', type : 'feature', description : 'GUdev support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('gusb', type : 'feature', description : 'GUsb support', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -29,6 +29,7 @@
 option('plugin_igsc', type : 'feature', description : 'Intel Graphics System Controller support')
 option('plugin_logitech_bulkcontroller', type : 'feature', description : 'Logitech bulk controller support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_logitech_scribe', type : 'feature', description : 'Logitech Scribe support')
+option('plugin_logitech_tap', type : 'feature', description : 'Logitech Tap support')
 option('plugin_parade_lspcon', type : 'feature', description : 'Parade LSPCON support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_pixart_rf', type : 'feature', description : 'PixartRF support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_realtek_mst', type : 'feature', description : 'Realtek MST hub support', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -48,6 +49,7 @@
 option('plugin_flashrom', type : 'feature', description : 'flashrom support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_intel_me', type : 'feature', description : 'enable Intel ME support')
 option('plugin_intel_spi', type : 'boolean', value : false, description : 'enable Intel SPI support')
+option('plugin_vendor_example', type : 'boolean', value : false, description : 'enable vendor example support')
 option('plugin_uf2', type : 'feature', description : 'support for UF2', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_upower', type : 'feature', description : 'support for UPower', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('plugin_powerd', type : 'feature', description : 'support for powerd', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -58,7 +60,6 @@
 option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
 option('elogind', type : 'feature', description : 'elogind support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('tests', type : 'boolean', value : true, description : 'enable tests')
-option('soup_session_compat', type : 'boolean', value : true, description : 'enable SoupSession runtime compatibility support')
 option('curl', type : 'feature', description : 'libcurl support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('udevdir', type: 'string', value: '', description: 'Directory for udev rules')
 option('efi_os_dir', type: 'string', description : 'the hardcoded name of OS directory in ESP, e.g. fedora')
@@ -69,3 +70,4 @@
 option('offline', type: 'feature', description : 'Allow installing firmware using a pre-boot systemd target', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('compat_cli', type: 'boolean', value : false, description : 'enable legacy commands: fwupdagent,dfu-tool,fwupdate')
 option('hsi', type: 'feature', description : ' Host Security Information', deprecated: {'true': 'enabled', 'false': 'disabled'})
+option('thinklmi_compat', type: 'boolean', description : 'Include workaround for thinklmi kernel bugs')

=== debian/changelog ===
fwupd (1.9.4-2) unstable; urgency=medium

  * Fix a FTBFS for package arch-ind builds without systemd directory.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Aug 2023 12:09:36 -0500

fwupd (1.9.4-1) unstable; urgency=medium

  * New upstream version (1.9.4)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 22 Aug 2023 07:12:37 -0500

fwupd (1.9.3-1) unstable; urgency=medium

  * New upstream version (1.9.3)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 11 Jul 2023 11:15:06 -0500

fwupd (1.9.1-1) experimental; urgency=medium

  * New upstream version (1.9.1)
  * Drop all patches

 -- Mario Limonciello <superm1@gmail.com>  Sat, 13 May 2023 06:53:09 -0500

=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,6 @@
 	CONFARGS += -Dplugin_dell=disabled
 endif
 
-ifeq (yes,$(shell pkg-config --exists efivar && echo yes))
-	CONFARGS += -Dplugin_uefi_capsule=enabled -Defi_binary=false
-else
-	CONFARGS += -Dplugin_uefi_capsule=disabled
-endif
-
 ifneq ($(filter $(DEB_HOST_ARCH_CPU),i386 amd64),)
 	CONFARGS += -Dplugin_msr=enabled
 else
@@ -48,7 +42,7 @@
 	CONFARGS += -Ddocs=disabled
 endif
 
-CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=disabled -Dsupported_build=enabled -Dplugin_modem_manager=enabled -Dsystemd_unit_user=fwupd-refresh
+CONFARGS += -Dplugin_dummy=true -Dplugin_powerd=disabled -Dsupported_build=enabled -Dplugin_modem_manager=enabled -Dsystemd_unit_user=fwupd-refresh -Defi_binary=false
 
 %:
 	dh $@ --with gir
@@ -84,6 +78,8 @@
 
 	#enable fwupd-refresh.service by default (we have a dedicated user)
 	rm -f debian/fwupd/lib/systemd/system-preset/fwupd-refresh.preset
+	# avoid shipping an empty directory
+	[ ! -d debian/fwupd/lib/systemd ] || find debian/fwupd/lib/systemd -type d -empty -delete
 
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xfirmware-example.xml.gz

## fwupd 1.9.5

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 option('build', type : 'combo', choices : ['all', 'standalone', 'library'], value : 'all', description : 'build type')
 option('consolekit', type : 'feature', description : 'ConsoleKit support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('static_analysis', type : 'boolean', value : false, description : 'enable GCC static analysis support')
+option('dbus_socket_address', type : 'string', value : '', description : 'D-Bus socket address to use for p2p mode')
 option('firmware-packager', type : 'boolean', value : true, description : 'enable firmware-packager installation')
 option('docs', type : 'feature', description : 'Build developer documentation', deprecated: {'docgen': 'enabled', 'none': 'disabled'})
 option('introspection', type : 'feature', description : 'generate GObject Introspection data', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -13,6 +14,7 @@
 option('polkit', type: 'feature', description : 'PolKit support in daemon', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('gnutls', type: 'feature', description : 'GnuTLS support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('sqlite', type: 'feature', description : 'sqlite support', deprecated: {'true': 'enabled', 'false': 'disabled'})
+option('passim', type: 'feature', description : 'Passim support')
 option('lzma', type: 'feature', description : 'LZMA support', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('cbor', type: 'feature', description : 'CBOR support for coSWID and uSWID')
 option('plugin_acpi_phat', type : 'feature', description : 'ACPI PHAT support', deprecated: {'true': 'enabled', 'false': 'disabled'})
@@ -71,3 +73,4 @@
 option('compat_cli', type: 'boolean', value : false, description : 'enable legacy commands: fwupdagent,dfu-tool,fwupdate')
 option('hsi', type: 'feature', description : ' Host Security Information', deprecated: {'true': 'enabled', 'false': 'disabled'})
 option('thinklmi_compat', type: 'boolean', description : 'Include workaround for thinklmi kernel bugs')
+option('python', type: 'string', description : 'the absolute path of the python3 binary')

=== debian/changelog ===
fwupd (1.9.5-1) unstable; urgency=medium

  * New upstream version (1.9.5)
  * Add libzstd-dev to build-depends.

 -- Mario Limonciello <superm1@gmail.com>  Tue, 05 Sep 2023 20:36:39 -0500

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	libgusb-dev (>= 0.3.5),
 	libjcat-dev,
 	libjson-glib-dev (>= 1.1.1),
+	libzstd-dev,
 	liblzma-dev,
 	libmbim-glib-dev,
 	libmm-glib-dev,

=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,6 @@
 	rm -f debian/fwupd/usr/lib/*/fwupd-plugins-*/libfu_plugin_test_ble.so
 	rm -f debian/fwupd/etc/fwupd/remotes.d/fwupd-tests.conf
 
-	#enable fwupd-refresh.service by default (we have a dedicated user)
-	rm -f debian/fwupd/lib/systemd/system-preset/fwupd-refresh.preset
 	# avoid shipping an empty directory
 	[ ! -d debian/fwupd/lib/systemd ] || find debian/fwupd/lib/systemd -type d -empty -delete
